Subject: Re: [PATCH 1/6] ci: remove GETTEXT_POISON jobs

From: SZEDER Gábor <[email-masked]>
Date: Wed, 20 Jan 2021 20:14:06 +0100

On Wed, Jan 20, 2021 at 06:59:14PM +0100, Ævar Arnfjörð Bjarmason wrote:
> 
> On Tue, Jan 12 2021, SZEDER Gábor wrote:
> 
> > On Mon, Jan 11, 2021 at 03:47:35PM +0100, Ævar Arnfjörð Bjarmason wrote:
> >> A subsequent commit will remove GETTEXT_POISON entirely, let's start
> >> by removing the CI jobs that enable the option.
> >> 
> >> We cannot just remove the job because the CI is implicitly depending
> >> on the "poison" job being a sort of "default" job.
> >
> > I don't understand what you mean here with a "default job" that the CI
> > is implicitly depending on.  There is certainly no such default job on
> > Travis CI, and I don't think there is one on the GitHub thing.
> 
> I'll reword this. I meant that the poison job was using the default
> compiler etc., whereas the other ones were setting custom values.
> 
> I vaguely remember some list traffic about this in the past, i.e. the
> reliance on the poison job not just for that, but also as "the default
> OS image" setup.

Oh, I didn't mean that the commit message should be clarified.  I
meant that the GETTEXT_POISON job can simply be deleted.  Sorry for
not being clear enough.